Package it.ernytech.tdlib

## Class TdApi.WebPage

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.WebPage

Enclosing class:
  TdApi

    public static class TdApi.WebPage
    extends TdApi.Object

Describes a web page preview.

### Field Summary

Fields
`TdApi.Animation` `animation` Preview of the content as an animation, if available; may be null.
`TdApi.Audio` `audio` Preview of the content as an audio file, if available; may be null.
`java.lang.String` `author` Author of the content.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` Description of the content.
`java.lang.String` `displayUrl` URL to display.
`TdApi.Document` `document` Preview of the content as a document, if available (currently only available for small PDF files and ZIP archives); may be null.
`int` `duration` Duration of the content, in seconds.
`int` `embedHeight` Height of the embedded preview.
`java.lang.String` `embedType` MIME type of the embedded preview, (e.g., text/html or video/mp4).
`java.lang.String` `embedUrl` URL to show in the embedded preview.
`int` `embedWidth` Width of the embedded preview.
`boolean` `hasInstantView` True, if the web page has an instant view.
`TdApi.Photo` `photo` Image representing the content; may be null.
`java.lang.String` `siteName` Short name of the site (e.g., Google Docs, App Store).
`TdApi.Sticker` `sticker` Preview of the content as a sticker for small WEBP files, if available; may be null.
`java.lang.String` `title` Title of the content.
`java.lang.String` `type` Type of the web page.
`java.lang.String` `url` Original URL of the link.
`TdApi.Video` `video` Preview of the content as a video, if available; may be null.
`TdApi.VideoNote` `videoNote` Preview of the content as a video note, if available; may be null.
`TdApi.VoiceNote` `voiceNote` Preview of the content as a voice note, if available; may be null.

### Constructor Summary

Constructors
`WebPage()` Default constructor.

`WebPage​(java.lang.String url, java.lang.String displayUrl, java.lang.String type, java.lang.String siteName, java.lang.String title, java.lang.String description, TdApi.Photo photo, java.lang.String embedUrl, java.lang.String embedType, int embedWidth, int embedHeight, int duration, java.lang.String author, TdApi.Animation animation, TdApi.Audio audio, TdApi.Document document, TdApi.Sticker sticker, TdApi.Video video, TdApi.VideoNote videoNote, TdApi.VoiceNote voiceNote, boolean hasInstantView)`

Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### url

    public java.lang.String url

Original URL of the link.

#### displayUrl

    public java.lang.String displayUrl

URL to display.

#### type

    public java.lang.String type

Type of the web page. Can be: article, photo, audio, video, document, profile, app, or something else.

#### siteName

    public java.lang.String siteName

Short name of the site (e.g., Google Docs, App Store).

#### title

    public java.lang.String title

Title of the content.

#### description

    public java.lang.String description

Description of the content.

#### photo

    public TdApi.Photo photo

Image representing the content; may be null.

#### embedUrl

    public java.lang.String embedUrl

URL to show in the embedded preview.

#### embedType

    public java.lang.String embedType

MIME type of the embedded preview, (e.g., text/html or video/mp4).

#### embedWidth

    public int embedWidth

Width of the embedded preview.

#### embedHeight

    public int embedHeight

Height of the embedded preview.

#### duration

    public int duration

Duration of the content, in seconds.

#### author

    public java.lang.String author

Author of the content.

#### animation

    public TdApi.Animation animation

Preview of the content as an animation, if available; may be null.

#### audio

    public TdApi.Audio audio

Preview of the content as an audio file, if available; may be null.

#### document

    public TdApi.Document document

Preview of the content as a document, if available (currently only available for small PDF files and ZIP archives); may be null.

#### sticker

    public TdApi.Sticker sticker

Preview of the content as a sticker for small WEBP files, if available; may be null.

#### video

    public TdApi.Video video

Preview of the content as a video, if available; may be null.

#### videoNote

    public TdApi.VideoNote videoNote

Preview of the content as a video note, if available; may be null.

#### voiceNote

    public TdApi.VoiceNote voiceNote

Preview of the content as a voice note, if available; may be null.

#### hasInstantView

    public boolean hasInstantView

True, if the web page has an instant view.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### WebPage

    public WebPage()

Default constructor.

#### WebPage

    public WebPage​(java.lang.String url,
                   java.lang.String displayUrl,
                   java.lang.String type,
                   java.lang.String siteName,
                   java.lang.String title,
                   java.lang.String description,
                   TdApi.Photo photo,
                   java.lang.String embedUrl,
                   java.lang.String embedType,
                   int embedWidth,
                   int embedHeight,
                   int duration,
                   java.lang.String author,
                   TdApi.Animation animation,
                   TdApi.Audio audio,
                   TdApi.Document document,
                   TdApi.Sticker sticker,
                   TdApi.Video video,
                   TdApi.VideoNote videoNote,
                   TdApi.VoiceNote voiceNote,
                   boolean hasInstantView)

Constructor for initialization of all fields.

Parameters:
  `url` - Original URL of the link.
  `displayUrl` - URL to display.
  `type` - Type of the web page. Can be: article, photo, audio, video, document, profile, app, or something else.
  `siteName` - Short name of the site (e.g., Google Docs, App Store).
  `title` - Title of the content.
  `description` - Description of the content.
  `photo` - Image representing the content; may be null.
  `embedUrl` - URL to show in the embedded preview.
  `embedType` - MIME type of the embedded preview, (e.g., text/html or video/mp4).
  `embedWidth` - Width of the embedded preview.
  `embedHeight` - Height of the embedded preview.
  `duration` - Duration of the content, in seconds.
  `author` - Author of the content.
  `animation` - Preview of the content as an animation, if available; may be null.
  `audio` - Preview of the content as an audio file, if available; may be null.
  `document` - Preview of the content as a document, if available (currently only available for small PDF files and ZIP archives); may be null.
  `sticker` - Preview of the content as a sticker for small WEBP files, if available; may be null.
  `video` - Preview of the content as a video, if available; may be null.
  `videoNote` - Preview of the content as a video note, if available; may be null.
  `voiceNote` - Preview of the content as a voice note, if available; may be null.
  `hasInstantView` - True, if the web page has an instant view.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR